<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:21 BST 2009 -->
<TITLE>
DefaultPort (JGraph v5.12.4.2 API Specification)
</TITLE>

<META NAME="keywords" CONTENT="org.jgraph.graph.DefaultPort class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultPort (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultPort.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphSelectionModel.CellPlaceHolder.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultRealEditor.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultPort.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.jgraph.graph</FONT>
<BR>
Class DefaultPort</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html" title="class or interface in javax.swing.tree">javax.swing.tree.DefaultMutableTreeNode</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><A HREF="../../../org/jgraph/graph/DefaultGraphCell.html" title="class in org.jgraph.graph">org.jgraph.graph.DefaultGraphCell</A>
          <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><B>org.jgraph.graph.DefaultPort</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="../../../org/jgraph/graph/GraphCell.html" title="interface in org.jgraph.graph">GraphCell</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/MutableTreeNode.html" title="class or interface in javax.swing.tree">MutableTreeNode</A>, <A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/TreeNode.html" title="class or interface in javax.swing.tree">TreeNode</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>DefaultPort</B><DT>extends <A HREF="../../../org/jgraph/graph/DefaultGraphCell.html" title="class in org.jgraph.graph">DefaultGraphCell</A><DT>implements <A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></DL>

<P>
A simple implementation for a port.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../serialized-form.html#org.jgraph.graph.DefaultPort">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#anchor">anchor</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reference to the anchor of this port</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#edges">edges</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Edges that are connected to the port</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.jgraph.graph.DefaultGraphCell"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.jgraph.graph.<A HREF="../../../org/jgraph/graph/DefaultGraphCell.html" title="class in org.jgraph.graph">DefaultGraphCell</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#attributes">attributes</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_javax.swing.tree.DefaultMutableTreeNode"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class javax.swing.tree.<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html" title="class or interface in javax.swing.tree">DefaultMutableTreeNode</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#allowsChildren" title="class or interface in javax.swing.tree">allowsChildren</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#children" title="class or interface in javax.swing.tree">children</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#EMPTY_ENUMERATION" title="class or interface in javax.swing.tree">EMPTY_ENUMERATION</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#parent" title="class or interface in javax.swing.tree">parent</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#userObject" title="class or interface in javax.swing.tree">userObject</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#DefaultPort()">DefaultPort</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an empty port.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#DefaultPort(java.lang.Object)">DefaultPort</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;userObject)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a port that holds a reference to the specified user object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#DefaultPort(java.lang.Object, org.jgraph.graph.Port)">DefaultPort</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;userObject,
            <A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A>&nbsp;anchor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a port that holds a reference to the specified user object
 and a reference to the specified anchor.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#addEdge(java.lang.Object)">addEdge</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;edge)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds <code>edge</code> to the list of edges.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a clone of the cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#edges()">edges</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an iterator of the edges connected
 to the port.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#getAnchor()">getAnchor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the anchor of this port.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#getEdges()">getEdges</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the collection of edges connected to this port.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#removeEdge(java.lang.Object)">removeEdge</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;edge)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes <code>edge</code> from the list of edges.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#setAnchor(org.jgraph.graph.Port)">setAnchor</A></B>(<A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A>&nbsp;port)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the anchor of this port.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultPort.html#setEdges(java.util.Set)">setEdges</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&nbsp;edges)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the collection of edges connected to this port.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.jgraph.graph.DefaultGraphCell"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.jgraph.graph.<A HREF="../../../org/jgraph/graph/DefaultGraphCell.html" title="class in org.jgraph.graph">DefaultGraphCell</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#addPort()">addPort</A>, <A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#addPort(java.awt.geom.Point2D)">addPort</A>, <A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#addPort(java.awt.geom.Point2D, java.lang.Object)">addPort</A>, <A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#changeAttributes(java.util.Map)">changeAttributes</A>, <A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#getAttributes()">getAttributes</A>, <A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#getChildren()">getChildren</A>, <A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#setAttributes(org.jgraph.graph.AttributeMap)">setAttributes</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_javax.swing.tree.DefaultMutableTreeNode"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class javax.swing.tree.<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html" title="class or interface in javax.swing.tree">DefaultMutableTreeNode</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#add(javax.swing.tree.MutableTreeNode)" title="class or interface in javax.swing.tree">add</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#breadthFirstEnumeration()" title="class or interface in javax.swing.tree">breadthFirstEnumeration</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#children()" title="class or interface in javax.swing.tree">children</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#depthFirstEnumeration()" title="class or interface in javax.swing.tree">depthFirstEnumeration</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getAllowsChildren()" title="class or interface in javax.swing.tree">getAllowsChildren</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getChildAfter(javax.swing.tree.TreeNode)" title="class or interface in javax.swing.tree">getChildAfter</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getChildAt(int)" title="class or interface in javax.swing.tree">getChildAt</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getChildBefore(javax.swing.tree.TreeNode)" title="class or interface in javax.swing.tree">getChildBefore</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getChildCount()" title="class or interface in javax.swing.tree">getChildCount</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getDepth()" title="class or interface in javax.swing.tree">getDepth</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getFirstChild()" title="class or interface in javax.swing.tree">getFirstChild</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getFirstLeaf()" title="class or interface in javax.swing.tree">getFirstLeaf</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getIndex(javax.swing.tree.TreeNode)" title="class or interface in javax.swing.tree">getIndex</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getLastChild()" title="class or interface in javax.swing.tree">getLastChild</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getLastLeaf()" title="class or interface in javax.swing.tree">getLastLeaf</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getLeafCount()" title="class or interface in javax.swing.tree">getLeafCount</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getLevel()" title="class or interface in javax.swing.tree">getLevel</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getNextLeaf()" title="class or interface in javax.swing.tree">getNextLeaf</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getNextNode()" title="class or interface in javax.swing.tree">getNextNode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getNextSibling()" title="class or interface in javax.swing.tree">getNextSibling</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getParent()" title="class or interface in javax.swing.tree">getParent</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getPath()" title="class or interface in javax.swing.tree">getPath</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getPathToRoot(javax.swing.tree.TreeNode, int)" title="class or interface in javax.swing.tree">getPathToRoot</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getPreviousLeaf()" title="class or interface in javax.swing.tree">getPreviousLeaf</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getPreviousNode()" title="class or interface in javax.swing.tree">getPreviousNode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getPreviousSibling()" title="class or interface in javax.swing.tree">getPreviousSibling</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getRoot()" title="class or interface in javax.swing.tree">getRoot</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getSharedAncestor(javax.swing.tree.DefaultMutableTreeNode)" title="class or interface in javax.swing.tree">getSharedAncestor</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getSiblingCount()" title="class or interface in javax.swing.tree">getSiblingCount</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getUserObject()" title="class or interface in javax.swing.tree">getUserObject</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#getUserObjectPath()" title="class or interface in javax.swing.tree">getUserObjectPath</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#insert(javax.swing.tree.MutableTreeNode, int)" title="class or interface in javax.swing.tree">insert</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#isLeaf()" title="class or interface in javax.swing.tree">isLeaf</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#isNodeAncestor(javax.swing.tree.TreeNode)" title="class or interface in javax.swing.tree">isNodeAncestor</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#isNodeChild(javax.swing.tree.TreeNode)" title="class or interface in javax.swing.tree">isNodeChild</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#isNodeDescendant(javax.swing.tree.DefaultMutableTreeNode)" title="class or interface in javax.swing.tree">isNodeDescendant</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#isNodeRelated(javax.swing.tree.DefaultMutableTreeNode)" title="class or interface in javax.swing.tree">isNodeRelated</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#isNodeSibling(javax.swing.tree.TreeNode)" title="class or interface in javax.swing.tree">isNodeSibling</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#isRoot()" title="class or interface in javax.swing.tree">isRoot</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#pathFromAncestorEnumeration(javax.swing.tree.TreeNode)" title="class or interface in javax.swing.tree">pathFromAncestorEnumeration</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#postorderEnumeration()" title="class or interface in javax.swing.tree">postorderEnumeration</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#preorderEnumeration()" title="class or interface in javax.swing.tree">preorderEnumeration</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#remove(int)" title="class or interface in javax.swing.tree">remove</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#remove(javax.swing.tree.MutableTreeNode)" title="class or interface in javax.swing.tree">remove</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#removeAllChildren()" title="class or interface in javax.swing.tree">removeAllChildren</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#removeFromParent()" title="class or interface in javax.swing.tree">removeFromParent</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#setAllowsChildren(boolean)" title="class or interface in javax.swing.tree">setAllowsChildren</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#setParent(javax.swing.tree.MutableTreeNode)" title="class or interface in javax.swing.tree">setParent</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#setUserObject(java.lang.Object)" title="class or interface in javax.swing.tree">setUserObject</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/tree/DefaultMutableTreeNode.html#toString()" title="class or interface in javax.swing.tree">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.jgraph.graph.GraphCell"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.jgraph.graph.<A HREF="../../../org/jgraph/graph/GraphCell.html" title="interface in org.jgraph.graph">GraphCell</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/jgraph/graph/GraphCell.html#changeAttributes(java.util.Map)">changeAttributes</A>, <A HREF="../../../org/jgraph/graph/GraphCell.html#getAttributes()">getAttributes</A>, <A HREF="../../../org/jgraph/graph/GraphCell.html#setAttributes(org.jgraph.graph.AttributeMap)">setAttributes</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="edges"><!-- --></A><H3>
edges</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A> <B>edges</B></PRE>
<DL>
<DD>Edges that are connected to the port
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="anchor"><!-- --></A><H3>
anchor</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A> <B>anchor</B></PRE>
<DL>
<DD>Reference to the anchor of this port
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="DefaultPort()"><!-- --></A><H3>
DefaultPort</H3>
<PRE>
public <B>DefaultPort</B>()</PRE>
<DL>
<DD>Constructs an empty port.
<P>
</DL>
<HR>

<A NAME="DefaultPort(java.lang.Object)"><!-- --></A><H3>
DefaultPort</H3>
<PRE>
public <B>DefaultPort</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;userObject)</PRE>
<DL>
<DD>Constructs a port that holds a reference to the specified user object.
<P>
<DT><B>Parameters:</B><DD><CODE>userObject</CODE> - reference to the user object</DL>
<HR>

<A NAME="DefaultPort(java.lang.Object, org.jgraph.graph.Port)"><!-- --></A><H3>
DefaultPort</H3>
<PRE>
public <B>DefaultPort</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;userObject,
                   <A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A>&nbsp;anchor)</PRE>
<DL>
<DD>Constructs a port that holds a reference to the specified user object
 and a reference to the specified anchor.
<P>
<DT><B>Parameters:</B><DD><CODE>userObject</CODE> - reference to the user object<DD><CODE>anchor</CODE> - reference to a graphcell that constitutes the anchor</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="edges()"><!-- --></A><H3>
edges</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A> <B>edges</B>()</PRE>
<DL>
<DD>Returns an iterator of the edges connected
 to the port.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/Port.html#edges()">edges</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addEdge(java.lang.Object)"><!-- --></A><H3>
addEdge</H3>
<PRE>
public boolean <B>addEdge</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;edge)</PRE>
<DL>
<DD>Adds <code>edge</code> to the list of edges.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/Port.html#addEdge(java.lang.Object)">addEdge</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeEdge(java.lang.Object)"><!-- --></A><H3>
removeEdge</H3>
<PRE>
public boolean <B>removeEdge</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;edge)</PRE>
<DL>
<DD>Removes <code>edge</code> from the list of edges.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/Port.html#removeEdge(java.lang.Object)">removeEdge</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getEdges()"><!-- --></A><H3>
getEdges</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A> <B>getEdges</B>()</PRE>
<DL>
<DD>Returns the collection of edges connected to this port.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setEdges(java.util.Set)"><!-- --></A><H3>
setEdges</H3>
<PRE>
public void <B>setEdges</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&nbsp;edges)</PRE>
<DL>
<DD>Sets the collection of edges connected to this port.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAnchor()"><!-- --></A><H3>
getAnchor</H3>
<PRE>
public <A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A> <B>getAnchor</B>()</PRE>
<DL>
<DD>Returns the anchor of this port.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/Port.html#getAnchor()">getAnchor</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setAnchor(org.jgraph.graph.Port)"><!-- --></A><H3>
setAnchor</H3>
<PRE>
public void <B>setAnchor</B>(<A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A>&nbsp;port)</PRE>
<DL>
<DD>Sets the anchor of this port.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/Port.html#setAnchor(org.jgraph.graph.Port)">setAnchor</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph">Port</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>clone</B>()</PRE>
<DL>
<DD>Create a clone of the cell. The cloning of the
 user object is deferred to the cloneUserObject()
 method.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../org/jgraph/graph/DefaultGraphCell.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../org/jgraph/graph/DefaultGraphCell.html" title="class in org.jgraph.graph">DefaultGraphCell</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>Object  a clone of this object.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultPort.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphSelectionModel.CellPlaceHolder.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultRealEditor.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultPort.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
